=== debian/changelog ===
superlu (4.3+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 26 Feb 2014 18:18:37 +0100

superlu (4.3+dfsg-2) experimental; urgency=medium

  * Team upload.
  * Fix FTBFS in parallel mode.
  * Multi-archify the package.

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 22 Dec 2013 21:46:26 +0100

superlu (4.3+dfsg-1) experimental; urgency=medium

  * Team upload.

  [ Sébastien Villemot ]
  * Repackage the upstream tarball to remove non-free code (mc64{a,i}d
    functions)
  * As a consequence, provide stubs for these functions in no-mc64ad.patch:
    if the removed functionality is used, the library will simply abort.
  * Rename development package as libsuperlu-dev, as requested by ftpmasters.
  * Document the removed functionality in README.Debian.
  * debian/copyright: rewrite using machine-readable format 1.0.
  * Use new scheme for BLAS dependencies.
  * Remove the broken infrastructure for running tests from /usr/share/doc.
  * Add new libsuperlu-doc package.
  * debian/control: updated Standards-Version to 3.9.5
  
  [ Christophe Trophime ]
  * New upstream release (Closes: #709165)
  * debian/rules: 
     - switch to debhelper
     - simplify rules
  * Add patch format-security.patch
  * Add patch Makefile.patch
  * Convert to 3.0 (quilt) source format

  [ Daniel Leidert ]
  * debian/control: Added Homepage field.
    (Vcs-Svn): Fixed.
    (Depends): ${Source-Version} is deprecated (make the package binNMU safe).
  * debian/dirs: Dropped.
  * debian/rules (clean): Fixed debian-rules-ignores-make-clean-error.

  [ Christophe Prud'homme ]
  * New upstream release (4.0)
  * Fixed all lintian warnings

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 07 Dec 2013 14:31:50 +0100

superlu (3.0+20070106-3) unstable; urgency=low

  * debian/control: changed XS-Vcs-*  to Vcs-*
  * Bug fix: "superlu: Please depend on libblas instead of refblas3",
    thanks to Colin Tuckley (Closes: #462290).

 -- Christophe Prud'homme <prudhomm@debian.org>  Fri, 22 Feb 2008 23:54:05 +0100

superlu (3.0+20070106-2) unstable; urgency=low

  [Christophe Prud'homme]
  * debian/control: update Standards-Version, no change
  * Bug fix: "superlu: Please depend on libblas instead of refblas3",
    thanks to Colin Tuckley (Closes: #462290).

 -- Christophe Prud'homme <prudhomm@debian.org>  Thu, 24 Jan 2008 10:22:42 +0100

superlu (3.0+20070106-1) unstable; urgency=low

  [ Rafael Laboissiere ]
  * debian/control: Added XS-Vcs-Svn and XS-Vcs-Browser fields to the Source
    section

  [Christophe Prud'homme]
  * New upstream release

 -- Christophe Prud'homme <prudhomm@debian.org>  Sun, 15 Jul 2007 10:00:50 +0200

superlu (3.0-5) unstable; urgency=low

  * Reverted libsuperlu3-dev to libsuperlu-dev

 -- Christophe Prud'homme <prudhomm@debian.org>  Fri,  7 Apr 2006 10:24:43 +0200

superlu (3.0-4) unstable; urgency=low

  * Changed libsuperlu3-dev to libsuperlu-dev

 -- Christophe Prud'homme <prudhomm@debian.org>  Fri,  7 Apr 2006 10:01:06 +0200

superlu (3.0-3) unstable; urgency=low

  * Changed prudhomm@mit.edu  to prudhomm@debian.org
  * Use pkg-scicomp-devel@lists.alioth.debian.org as new maintainer address

 -- Christophe Prud'homme <prudhomm@debian.org>  Fri,  7 Apr 2006 09:49:25 +0200

superlu (3.0-2) unstable; urgency=low

  * fixed inconsistencies: libsuperlu3-dev vs libsuperlu-dev

 -- Christophe Prud'homme <prudhomm@mit.edu>  Wed, 18 Aug 2004 09:26:10 +0200

superlu (3.0-1) unstable; urgency=low

  * Initial Release. (closes: #265217)

 -- Christophe Prud'homme <prudhomm@mit.edu>  Thu, 12 Aug 2004 11:05:16 +0200
