=== debian/control ===
Source: superlu
Priority: optional
Section: devel
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Christophe Prud'homme <prudhomm@debian.org>
Build-Depends: debhelper (>= 9), gcc (>= 3.0), csh, libblas-dev | libblas.so,
               dh-exec
Standards-Version: 3.9.5
Homepage: http://crd-legacy.lbl.gov/~xiaoye/SuperLU/
Vcs-Svn: svn://svn.debian.org/svn/debian-science/packages/superlu/trunk
Vcs-Browser: http://svn.debian.org/wsvn/debian-science/packages/superlu/trunk

Package: libsuperlu4
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Direct solution of large, sparse systems of linear equations
 SuperLU is a general purpose library for the direct solution of
 large, sparse, nonsymmetric systems of linear equations on high
 performance machines. The library is written in C and is callable from
 either C or Fortran. The library routines will perform an LU
 decomposition with partial pivoting and triangular system solves
 through forward and back substitution. The LU factorization routines
 can handle non-square matrices but the triangular solves are performed
 only for square matrices. The matrix columns may be preordered (before
 factorization) either through library or user supplied routines. This
 preordering for sparsity is completely separate from the
 factorization. Working precision iterative refinement subroutines are
 provided for improved backward stability. Routines are also provided
 to equilibrate the system, estimate the condition number, calculate
 the relative backward error, and estimate error bounds for the refined
 solutions.

Package: libsuperlu-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libsuperlu4 (= ${binary:Version}), libblas-dev, ${misc:Depends}
Suggests: libsuperlu-doc
Conflicts: libsuperlu3-dev
Description: Direct solution of large, sparse systems of linear equations
 Development files for SuperLU.
 .
 SuperLU is a general purpose library for the direct solution of
 large, sparse, nonsymmetric systems of linear equations on high
 performance machines. The library is written in C and is callable from
 either C or Fortran. The library routines will perform an LU
 decomposition with partial pivoting and triangular system solves
 through forward and back substitution. The LU factorization routines
 can handle non-square matrices but the triangular solves are performed
 only for square matrices. The matrix columns may be preordered (before
 factorization) either through library or user supplied routines. This
 preordering for sparsity is completely separate from the
 factorization. Working precision iterative refinement subroutines are
 provided for improved backward stability. Routines are also provided
 to equilibrate the system, estimate the condition number, calculate
 the relative backward error, and estimate error bounds for the refined
 solutions.

Package: libsuperlu4-dbg
Priority: extra
Section: debug
Architecture: any
Multi-Arch: same
Depends: libsuperlu4 (= ${binary:Version}), ${misc:Depends}
Description: Direct solution of large, sparse systems of linear equations
 Debug files for SuperLU.
 .
 SuperLU is a general purpose library for the direct solution of
 large, sparse, nonsymmetric systems of linear equations on high
 performance machines. The library is written in C and is callable from
 either C or Fortran. The library routines will perform an LU
 decomposition with partial pivoting and triangular system solves
 through forward and back substitution. The LU factorization routines
 can handle non-square matrices but the triangular solves are performed
 only for square matrices. The matrix columns may be preordered (before
 factorization) either through library or user supplied routines. This
 preordering for sparsity is completely separate from the
 factorization. Working precision iterative refinement subroutines are
 provided for improved backward stability. Routines are also provided
 to equilibrate the system, estimate the condition number, calculate
 the relative backward error, and estimate error bounds for the refined
 solutions.

Package: libsuperlu-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: Documentation for SuperLU
 This package contains the user guide and the reference manual of SuperLU.
 It also includes some example programs.
