=== TESTING/CMakeLists.txt ===
--- 
+++ 
@@ -60,7 +60,7 @@
   set(SLINTST sdrive.c sp_sconvert.c sgst01.c sgst02.c sgst04.c sgst07.c)
 
   add_executable(s_test ${ALINTST} ${SLINTST})
-  target_link_libraries(s_test matgen superlu_${VERSION_MAJOR}.${VERSION_MINOR} ${BLAS_LIB} m)
+  target_link_libraries(s_test matgen superlu_${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_BugFix} ${BLAS_LIB} m)
 
   add_superlu_test(s_test.out g20.rua s_test)
 
@@ -71,7 +71,7 @@
   set(DLINTST ddrive.c sp_dconvert.c dgst01.c dgst02.c dgst04.c dgst07.c)
 
   add_executable(d_test ${ALINTST} ${DLINTST})
-  target_link_libraries(d_test matgen superlu_${VERSION_MAJOR}.${VERSION_MINOR} ${BLAS_LIB} m)
+  target_link_libraries(d_test matgen superlu_${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_BugFix}  ${BLAS_LIB} m)
 
   add_superlu_test(d_test.out g20.rua d_test)
 endif()
@@ -80,7 +80,7 @@
   set(CLINTST cdrive.c sp_cconvert.c cgst01.c cgst02.c cgst04.c cgst07.c)
 
   add_executable(c_test ${ALINTST} ${CLINTST})
-  target_link_libraries(c_test matgen superlu_${VERSION_MAJOR}.${VERSION_MINOR} ${BLAS_LIB} m)
+  target_link_libraries(c_test matgen superlu_${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_BugFix} ${BLAS_LIB} m)
 
   add_superlu_test(c_test.out cg20.cua c_test)
 endif()
@@ -90,7 +90,7 @@
   set(ZLINTST zdrive.c sp_zconvert.c zgst01.c zgst02.c zgst04.c zgst07.c)
 
   add_executable(z_test ${ALINTST} ${ZLINTST})
-  target_link_libraries(z_test matgen superlu_${VERSION_MAJOR}.${VERSION_MINOR} ${BLAS_LIB} m)
+  target_link_libraries(z_test matgen superlu_${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_BugFix} ${BLAS_LIB} m)
 
   add_superlu_test(z_test.out cg20.cua z_test)
 endif()
